.section	".rodata"
.align	8
l_38:	! -7.890000
	.long	0x28f5c28f
	.long	0xc01f8f5c
l_36:	! 4.560000
	.long	0xa3d70a3d
	.long	0x40123d70
l_34:	! 1.230000
	.long	0x7ae147ae
	.long	0x3ff3ae14
.section	".text"
.global	min_caml_start
min_caml_start:
	save	%sp, -112, %sp
	set	l_34, %i2
	ldd	[%i2 + 0], %f0
	st	%o7, [%i0 + 4]
	call	min_caml_truncate
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	st	%i2, [%i0 + 0]
	set	l_36, %i2
	ldd	[%i2 + 0], %f0
	st	%o7, [%i0 + 4]
	call	min_caml_truncate
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	st	%i2, [%i0 + 4]
	set	l_38, %i2
	ldd	[%i2 + 0], %f0
	st	%o7, [%i0 + 12]
	call	min_caml_truncate
	add	%i0, 16, %i0	! delay slot
	sub	%i0, 16, %i0
	ld	[%i0 + 12], %o7
	cmp	%i2, 0
	bl	bge_else_53
	nop
	ld	[%i0 + 0], %i3
	b	bge_cont_54
	nop
bge_else_53:
	ld	[%i0 + 4], %i3
bge_cont_54:
	ld	[%i0 + 0], %i4
	cmp	%i4, 0
	bg	ble_else_55
	nop
	ld	[%i0 + 4], %i4
	b	ble_cont_56
	nop
ble_else_55:
	mov	%i2, %i4
ble_cont_56:
	add	%i3, %i4, %i3
	ld	[%i0 + 4], %i4
	cmp	%i4, 0
	bl	bge_else_57
	nop
	b	bge_cont_58
	nop
bge_else_57:
	ld	[%i0 + 0], %i2
bge_cont_58:
	add	%i3, %i2, %i2
	st	%o7, [%i0 + 12]
	call	min_caml_print_int
	add	%i0, 16, %i0	! delay slot
	sub	%i0, 16, %i0
	ld	[%i0 + 12], %o7
	ret
	restore
